> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# List of slots and blocks

This endpoint gives a paginated list of all slots and blocks.

Here's how to interpret the inputs required to operate it 👇

| Parameter | Description                             |
| :-------- | :-------------------------------------- |
| `from`    | Start slot (integer)                    |
| `size`    | The number of results included per page |


## OpenAPI

````yaml get /v0/eth/blocks
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/blocks:
    get:
      tags:
        - Blocks
      summary: Get Blocks
      operationId: get_blocks_v0_eth_blocks_get
      parameters:
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: From
        - name: size
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Size
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBlocks'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    PaginatedBlocks:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/Blocks'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
        - next
      title: PaginatedBlocks
      examples:
        - data:
            - baseFeePerGas: 7413818806
              baselineMev: 0
              baselineMevWei: 0
              blockBuilderPubkeys:
                - >-
                  0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587
                - >-
                  0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587
                - >-
                  0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587
              blockTimestamp: 123242323
              consensusBlockRoot: >-
                \\x5668a71163c5ec5fcf34185deb36f0c3619a6f00a4ee0a547220f439913b6412
              consensusProposerDuty: proposed
              consensusRewards: 41947807
              consensusSlot: 7502102
              epoch: 234440
              executionBlockHash: >-
                \\x5b138bff063adf335b468150d91eb8c3025a02f6716e3dd4bcee42bf81bb0fe8
              executionBlockNumber: 18312479
              executionProposerDuty: proposed
              executionRewards: 34330125
              executionRewardsWei: 34330125000000000
              feeRecipient: \\x1f9090aae28b8a3dceadf281b0f12828e676c326
              missedConsensusRewards: 0
              missedExecutionRewards: 0
              relays:
                - bloxroute_regulated
                - flashbots
                - bloxroute_maxprofit
              totalBurntFees: 88180442776786380
              totalGasUsed: 11894065
              totalPriorityFees: 34485815
              totalPriorityFeesValidator: 34330125
              totalPriorityFeesValidatorWei: 34330125000000000
              totalPriorityFeesWei: 34485815000000000
              totalRewards: 76277932
              totalRewardsMissed: 0
              totalSanctionedTransactions: 0
              totalTransactions: 156
              totalType0Transactions: 19
              totalType0TxFees: 23400203843039860
              totalType1Transactions: 0
              totalType1TxFees: 0
              totalType2Transactions: 137
              totalType2TxFees: 11085611875723216
              totalType3Transactions: 10
              totalType3TxFees: 1108561187572321
              validatorIndex: 888078
          next: /v0/eth/blocks/?size=10&from=7502092
          page:
            size: 1
          total: 1
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        size:
          type: integer
          exclusiveMinimum: 0
          title: Size
          default: 10
        granularity:
          anyOf:
            - $ref: '#/components/schemas/GranularityEnum'
            - type: 'null'
        filterType:
          anyOf:
            - $ref: '#/components/schemas/FilterTypeEnum'
            - type: 'null'
      type: object
      title: Page
    Blocks:
      properties:
        epoch:
          type: integer
          minimum: 0
          title: Epoch
        consensusSlot:
          type: integer
          minimum: 0
          title: Consensusslot
        consensusBlockRoot:
          anyOf:
            - type: string
            - type: 'null'
          title: Consensusblockroot
        executionBlockNumber:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Executionblocknumber
        executionBlockHash:
          anyOf:
            - type: string
            - type: 'null'
          title: Executionblockhash
        validatorIndex:
          type: integer
          minimum: 0
          title: Validatorindex
        feeRecipient:
          anyOf:
            - type: string
            - type: 'null'
          title: Feerecipient
        totalType0Transactions:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype0Transactions
        totalType2Transactions:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype2Transactions
        totalTransactions:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltransactions
        totalGasUsed:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totalgasused
        baseFeePerGas:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Basefeepergas
        totalBurntFees:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totalburntfees
        totalType2TxFees:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype2Txfees
        totalType0TxFees:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype0Txfees
        totalPriorityFees:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totalpriorityfees
        baselineMev:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Baselinemev
        executionProposerDuty:
          type: string
          title: Executionproposerduty
        executionRewards:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Executionrewards
        missedExecutionRewards:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Missedexecutionrewards
        consensusProposerDuty:
          type: string
          title: Consensusproposerduty
        consensusRewards:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Consensusrewards
        missedConsensusRewards:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Missedconsensusrewards
        totalRewards:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totalrewards
        totalRewardsMissed:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Totalrewardsmissed
        totalType1Transactions:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype1Transactions
        totalType1TxFees:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype1Txfees
        blockTimestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Blocktimestamp
        totalSanctionedTransactions:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totalsanctionedtransactions
        totalPriorityFeesValidator:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totalpriorityfeesvalidator
        relays:
          items:
            type: string
          type: array
          title: Relays
        blockBuilderPubkeys:
          items:
            type: string
          type: array
          title: Blockbuilderpubkeys
        totalType3Transactions:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype3Transactions
        totalType3TxFees:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype3Txfees
        totalPriorityFeesWei:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totalpriorityfeeswei
        totalPriorityFeesValidatorWei:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totalpriorityfeesvalidatorwei
        baselineMevWei:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Baselinemevwei
        executionRewardsWei:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Executionrewardswei
        totalType4Transactions:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype4Transactions
        totalType4TxFees:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Totaltype4Txfees
      type: object
      required:
        - epoch
        - consensusSlot
        - consensusBlockRoot
        - executionBlockNumber
        - executionBlockHash
        - validatorIndex
        - feeRecipient
        - totalType0Transactions
        - totalType2Transactions
        - totalTransactions
        - totalGasUsed
        - baseFeePerGas
        - totalBurntFees
        - totalType2TxFees
        - totalType0TxFees
        - totalPriorityFees
        - baselineMev
        - executionProposerDuty
        - executionRewards
        - missedExecutionRewards
        - consensusProposerDuty
        - consensusRewards
        - missedConsensusRewards
        - totalRewards
        - totalRewardsMissed
        - totalType1Transactions
        - totalType1TxFees
        - blockTimestamp
        - totalSanctionedTransactions
        - totalPriorityFeesValidator
        - relays
        - blockBuilderPubkeys
        - totalType3Transactions
        - totalType3TxFees
        - totalPriorityFeesWei
        - totalPriorityFeesValidatorWei
        - baselineMevWei
        - executionRewardsWei
        - totalType4Transactions
        - totalType4TxFees
      title: Blocks
      examples:
        - baseFeePerGas: 7413818806
          baselineMev: 0
          baselineMevWei: 0
          blockBuilderPubkeys:
            - >-
              0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587
            - >-
              0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587
            - >-
              0x978a35c39c41aadbe35ea29712bccffb117cc6ebcad4d86ea463d712af1dc80131d0c650dc29ba29ef27c881f43bd587
          blockTimestamp: '2023-10-09T11:00:47'
          consensusBlockRoot: \\x5668a71163c5ec5fcf34185deb36f0c3619a6f00a4ee0a547220f439913b6412
          consensusProposerDuty: proposed
          consensusRewards: 41947807
          consensusSlot: 7502102
          epoch: 234440
          executionBlockHash: \\x5b138bff063adf335b468150d91eb8c3025a02f6716e3dd4bcee42bf81bb0fe8
          executionBlockNumber: 18312479
          executionProposerDuty: proposed
          executionRewards: 34330125
          executionRewardsWei: 34330125000000000
          feeRecipient: \\x1f9090aae28b8a3dceadf281b0f12828e676c326
          missedConsensusRewards: 0
          missedExecutionRewards: 0
          relays:
            - bloxroute_regulated
            - flashbots
            - bloxroute_maxprofit
          totalBurntFees: 88180442776786380
          totalGasUsed: 11894065
          totalPriorityFees: 34485815
          totalPriorityFeesValidator: 34330125
          totalPriorityFeesValidatorWei: 34330125000000000
          totalPriorityFeesWei: 34485815000000000
          totalRewards: 76277932
          totalRewardsMissed: 0
          totalSanctionedTransactions: 0
          totalTransactions: 156
          totalType0Transactions: 19
          totalType0TxFees: 23400203843039860
          totalType1Transactions: 0
          totalType1TxFees: 0
          totalType2Transactions: 137
          totalType2TxFees: 11085611875723216
          totalType3Transactions: 10
          totalType3TxFees: 1108561187572321
          totalType4Transactions: 4
          totalType4TxFees: 8561187572321
          validatorIndex: 888078
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    GranularityEnum:
      type: string
      enum:
        - hour
        - day
        - week
        - month
        - quarter
        - year
        - all
      title: GranularityEnum
    FilterTypeEnum:
      type: string
      enum:
        - hour
        - day
        - datetime
      title: FilterTypeEnum
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````